import { FC, ReactNode } from 'react';
import { StyleProp, ViewStyle } from 'react-native';
export type GridBreakpoints = 'xs' | 'sm' | 'md' | 'lg' | 'xl';
export type GridProps = {
    children?: ReactNode | ReactNode[];
    cols?: Partial<Record<GridBreakpoints, number>>;
    style?: StyleProp<ViewStyle>;
};
export declare const Grid: FC<GridProps>;
